<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ include file="validar.jsp" %>
<!DOCTYPE html>
<html lang="es">
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<meta charset="utf-8" />
		<title>:::SISTEMA DE HORARIOS:::</title>

		<meta name="description" content="overview &amp; stats" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />

		<link rel="stylesheet" href="../assets/css/bootstrap.css" />
		<link rel="stylesheet" href="../assets/css/font-awesome.css" />
                <link rel="stylesheet" href="../assets/css/jquery-ui.css" />
		<link rel="stylesheet" href="../assets/css/ace-fonts.css" />
		<link rel="stylesheet" href="../assets/css/ace.css" class="ace-main-stylesheet" id="main-ace-style" />
		<script src="../assets/js/ace-extra.js"></script>
                
                
        
		<!-- inline scripts related to this page -->
		<script type="text/javascript" language="javascript">
                    
			/*$(document).ready( function() {
                jQuery("#registroEncuesta").validationEngine();
            });*/
		</script>
	</head>

	<body class="no-skin page-sound" onLoad="cargar();">
		<!-- #section:basics/navbar.layout -->
		<div id="navbar" class="navbar navbar-default">
			<script type="text/javascript">
				try{ace.settings.check('navbar' , 'fixed')}catch(e){}
			</script>

			<div class="navbar-container" id="navbar-container">
            <%@ include file="banner.jsp" %>
			</div><!-- /.navbar-container -->
		</div>

		<!-- /section:basics/navbar.layout -->
		<div class="main-container" id="main-container">
			<script type="text/javascript">
				try{ace.settings.check('main-container' , 'fixed')}catch(e){}
			</script>

			<!-- #section:basics/sidebar -->
			<div id="sidebar" class="sidebar                  responsive">
				<script type="text/javascript">
					try{ace.settings.check('sidebar' , 'fixed')}catch(e){}
				</script>
                                <input id="codModulo" type="hidden" value="<%=menu!=null?menu.getCodModulo():""%>">
                                <input id="codCategoria" type="hidden" value="<%=menu!=null?menu.getCodCategoria():""%>">
                                <%@ include file="menu.jsp" %>
				<!-- #section:basics/sidebar.layout.minimize -->
				<div class="sidebar-toggle sidebar-collapse" id="sidebar-collapse">
					<i class="ace-icon fa fa-angle-double-left" data-icon1="ace-icon fa fa-angle-double-left" data-icon2="ace-icon fa fa-angle-double-right"></i>
				</div>
				<!-- /section:basics/sidebar.layout.minimize -->
				<script type="text/javascript">
					try{ace.settings.check('sidebar' , 'collapsed')}catch(e){}
				</script>
			</div>
                                
			<!-- /section:basics/sidebar -->
			<div class="main-content">
				<div class="main-content-inner">
					<!-- #section:basics/content.breadcrumbs -->
					<div class="breadcrumbs" id="breadcrumbs">
						<script type="text/javascript">
							try{ace.settings.check('breadcrumbs' , 'fixed')}catch(e){}
						</script>

						<ul class="breadcrumb">
							<li>
								<i class="ace-icon fa fa-home home-icon"></i>
								<a href="principal.jsp">INICIO</a>
							</li>
							<li class="active">FILTRO</li>
						</ul><!-- /.breadcrumb -->
					</div>
                                        
					<!-- /section:basics/content.breadcrumbs -->
					<div class="page-content">
						
						<div class="page-header">
							<h1>
								Filtro
								<small>
									<i class="ace-icon fa fa-angle-double-right"></i>
									Mantenimiento
								</small>
							</h1>
						</div><!-- /.page-header -->

						<div class="row">
                                                    <div class="col-sm-4"></div>
                                                    <div class="col-sm-4">
                                                        <div class="widget-box widget-color-blue">
                                                            <div class="widget-header">
                                                                <h4 class="widget-title">Búsqueda de Docente</h4>
                                                            </div>

                                                            <div class="widget-body">
                                                                <div class="widget-main no-padding">
                                                                    <form id="registroZona" method="post">
                                                                        <fieldset>
                                                                            <label>Docente</label><br>
                                                                            <input id="searchTerm" style="text-transform:uppercase;" type="text" class="form-control" onkeyup="doSearch();"> 
                                                                        </fieldset>
                                                                        <div class="form-actions center">
                                                                        
                                                                        </div>
                                                                    </form>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-4"></div>
                                                    
                                                    
                                                    
                                                    
                                                    <!-- ----------- CONTENEDOR DE FORMULARIOS--------INI----- -->
                                                    <div class="col-sm-12" style="width:100%; height: 40px;"></div>
                                                    <div  class="col-sm-12" style="width:100%;">
                                                        <div  class="col-sm-12">
                                                            <!--Cadena a buscar <input id="searchTerm" type="text" onkeyup="doSearch()" />-->
                                                            <!-- -------------TABLA---INI------------ -->
                                                            <form method="POST" id="listado">
                                                               <div id='divListado'>
                                                                
                                                                </div> 
                                                            </form>
                                                            
                                                            <!-- -------------TABLA---FIN------------ -->
                                                        </div>
                                                    </div>
                                                    <!-- ----------- CONTENEDOR DE FORMULARIOS--------FIN----- -->
                                                    
                                                    
                                                    
                                                   
                                                    <!-- ::::::::::-ALERTAS-::::::::::::::: -->
                                                    <input type="hidden" id="ape">
                                                    <input type="hidden" id="contador">
                                                    <input id='pagina' type='hidden'>
                                                    
                                                    <div id="dialog-noti1" class="hide">
                                                        <br>
                                                        Los puntajes se registraron con éxito.
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-noti2" class="hide">
                                                        <br>
                                                        Se actualizó con éxito.
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-confor1" class="hide">
                                                        <br>
                                                        ¿Está seguro de realizar el registro de los puntajes? 
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-confor2" class="hide">
                                                        <br>
                                                        ¿Está seguro de actualizar el registro de puntajes?
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-advertencia1" class="hide">
                                                        <br>
                                                        Para proceder a registrar los puntajes necesita haber ingresado al ícono ( <img src="imagenes/icons/pencil.png" alt=""/> ). 
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-advertencia2" class="hide">
                                                        <br>
                                                        Ocurrio un error. 
                                                        <br><br>
                                                    </div>
                                                    
                                                    
                                                    <div id="dialog-Alerta2" class="hide">
                                                        <br>
                                                        Ocurrió un error en el registro.
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-edit" class="hide">
                                                        <br>
                                                            <form name="disponibilidad" id="disponibilidad" class="formular" method="post">
                                                                <div id="divFormulario"></div>
                                                            </form>
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-cargando" class="hide">
                                                        <table cellpadding="0" cellspacing="0" width="100%">
                                                            <tr><td align="center"><img src="imagenes/cargando.gif" border=0></td></tr>
                                                        </table>
                                                    </div>
                                                    
                                                    
                                                    
                                                    <!-- ::::::::::-ALERTAS-::::::::::::::: -->
                                                    
                                                    
						</div><!-- /.row -->
					</div><!-- /.page-content -->
				</div>
			</div><!-- /.main-content -->

			<div class="footer">
				<%@ include file="footer.jsp" %>
			</div>

			<a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
				<i class="ace-icon fa fa-angle-double-up icon-only bigger-110"></i>
			</a>
		</div><!-- /.main-container -->

		<!-- basic scripts -->

		<!--[if !IE]> -->
		<script type="text/javascript">
			window.jQuery || document.write("<script src='../assets/js/jquery.js'>"+"<"+"/script>");
		</script>

		<!-- <![endif]-->

		<!--[if IE]>
<script type="text/javascript">
 window.jQuery || document.write("<script src='../assets/js/jquery1x.js'>"+"<"+"/script>");
</script>
<![endif]-->
		<script type="text/javascript">
			if('ontouchstart' in document.documentElement) document.write("<script src='../assets/js/jquery.mobile.custom.js'>"+"<"+"/script>");
		</script>
		
                <script src="js/jquery.mask.js" type="text/javascript"></script>
                <script src="js/jquery.mask.min.js" type="text/javascript"></script>
		<!-- page specific plugin scripts -->
                 <script src="../assets/js/ionsound/js/ion.sound.min.js" type="text/javascript"></script>
                <script src="../assets/js/jquery-ui.js"></script>
                <script src="../assets/js/bootstrap.js"></script>
		<script src="../assets/js/jquery.ui.touch-punch.js"></script>
                
		<!--[if lte IE 8]>
		  <script src="../assets/js/excanvas.js"></script>
		<![endif]-->
		<script src="../assets/js/jquery-ui.custom.js"></script>
		<script src="../assets/js/jquery.ui.touch-punch.js"></script>
		<script src="../assets/js/jquery.easypiechart.js"></script>
		<script src="../assets/js/jquery.sparkline.js"></script>
		<script src="../assets/js/flot/jquery.flot.js"></script>
		<script src="../assets/js/flot/jquery.flot.pie.js"></script>
		<script src="../assets/js/flot/jquery.flot.resize.js"></script>
               

		<!-- ace scripts -->
		<script src="../assets/js/ace/elements.scroller.js"></script>
		<script src="../assets/js/ace/elements.colorpicker.js"></script>
		<script src="../assets/js/ace/elements.fileinput.js"></script>
		<script src="../assets/js/ace/elements.typeahead.js"></script>
		<script src="../assets/js/ace/elements.wysiwyg.js"></script>
		<script src="../assets/js/ace/elements.spinner.js"></script>
		<script src="../assets/js/ace/elements.treeview.js"></script>
		<script src="../assets/js/ace/elements.wizard.js"></script>
		<script src="../assets/js/ace/elements.aside.js"></script>
		<script src="../assets/js/ace/ace.js"></script>
		<script src="../assets/js/ace/ace.ajax-content.js"></script>
		<script src="../assets/js/ace/ace.touch-drag.js"></script>
		<script src="../assets/js/ace/ace.sidebar.js"></script>
		<script src="../assets/js/ace/ace.sidebar-scroll-1.js"></script>
		<script src="../assets/js/ace/ace.submenu-hover.js"></script>
		<script src="../assets/js/ace/ace.widget-box.js"></script>
		<script src="../assets/js/ace/ace.settings.js"></script>
		<script src="../assets/js/ace/ace.settings-rtl.js"></script>
		<script src="../assets/js/ace/ace.settings-skin.js"></script>
		<script src="../assets/js/ace/ace.widget-on-reload.js"></script>
		<script src="../assets/js/ace/ace.searchbox-autocomplete.js"></script>
		<script src="../assets/js/ace/ace.searchbox-autocomplete.js"></script>
                
                
                <link rel="stylesheet" href="css/validationEngine.jquery.css" type="text/css"/>
                <!--<link rel="stylesheet" href="css/template.css" type="text/css"/>-->
                
                
		<!-- inline scripts related to this page -->
		<script type="text/javascript">
                        
			jQuery(function($) {
				//override dialog's title function to allow for HTML titles
				$.widget("ui.dialog", $.extend({}, $.ui.dialog.prototype, {
					_title: function(title) {
						var $title = this.options.title || '&nbsp;'
						if( ("title_html" in this.options) && this.options.title_html == true )
							title.html($title);
						else title.text($title);
					}
				}));
			
				
			
				$( "#id-btn-dialog2" ).on('click', function(e) {//--
					e.preventDefault();
                                    $( "#dialog-confirm" ).removeClass('hide').dialog({
                                        resizable: false,
                                        modal: true,
                                        title: "<div class='widget-header'><h4 class='smaller'><i class='ace-icon fa fa-exclamation-triangle red'></i> Empty the recycle bin?</h4></div>",
                                        title_html: true,
                                        buttons: [
                                            {
                                                html: "<i class='ace-icon fa fa-trash-o bigger-110'></i>&nbsp; Delete all items",
                                                "class" : "btn btn-danger btn-xs",
                                                click: function() {
                                                    $( this ).dialog( "close" );
                                                }
                                            }
                                            ,
                                            {
                                                html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; Cancel",
                                                "class" : "btn btn-xs",
                                                click: function() {
                                                    $( this ).dialog( "close" );
                                                }
                                            }
                                        ]
                                    });
				});
                                
				$('.easy-pie-chart.percentage').each(function(){
					var $box = $(this).closest('.infobox');
					var barColor = $(this).data('color') || (!$box.hasClass('infobox-dark') ? $box.css('color') : 'rgba(255,255,255,0.95)');
					var trackColor = barColor == 'rgba(255,255,255,0.95)' ? 'rgba(255,255,255,0.25)' : '#E2E2E2';
					var size = parseInt($(this).data('size')) || 50;
					$(this).easyPieChart({
						barColor: barColor,
						trackColor: trackColor,
						scaleColor: false,
						lineCap: 'butt',
						lineWidth: parseInt(size/10),
						animate: /msie\s*(8|7|6)/.test(navigator.userAgent.toLowerCase()) ? false : 1000,
						size: size
					});
				})
			
				$('.sparkline').each(function(){
					var $box = $(this).closest('.infobox');
					var barColor = !$box.hasClass('infobox-dark') ? $box.css('color') : '#FFF';
					$(this).sparkline('html',
                                                                    {
                                                                           tagValuesAttribute:'data-values',
                                                                           type: 'bar',
                                                                           barColor: barColor ,
                                                                           chartRangeMin:$(this).data('min') || 0
                                                                    });
				});
			
			
			  //flot chart resize plugin, somehow manipulates default browser resize event to optimize it!
			  //but sometimes it brings up errors with normal resize event handlers
			  $.resize.throttleWindow = false;
			
			  var placeholder = $('#piechart-placeholder').css({'width':'90%' , 'min-height':'150px'});
			  var data = [
				{ label: "social networks",  data: 38.7, color: "#68BC31"},
				{ label: "search engines",  data: 24.5, color: "#2091CF"},
				{ label: "ad campaigns",  data: 8.2, color: "#AF4E96"},
				{ label: "direct traffic",  data: 18.6, color: "#DA5430"},
				{ label: "other",  data: 10, color: "#FEE074"}
			  ]
			  function drawPieChart(placeholder, data, position) {
			 	  $.plot(placeholder, data, {
					series: {
						pie: {
							show: true,
							tilt:0.8,
							highlight: {
								opacity: 0.25
							},
							stroke: {
								color: '#fff',
								width: 2
							},
							startAngle: 2
						}
					},
					legend: {
						show: true,
						position: position || "ne", 
						labelBoxBorderColor: null,
						margin:[-30,15]
					}
					,
					grid: {
						hoverable: true,
						clickable: true
					}
				 })
			 }
			 drawPieChart(placeholder, data);
			
			 /**
			 we saved the drawing function and the data to redraw with different position later when switching to RTL mode dynamically
			 so that's not needed actually.
			 */
			 placeholder.data('chart', data);
			 placeholder.data('draw', drawPieChart);
			
			
			  //pie chart tooltip example
			  var $tooltip = $("<div class='tooltip top in'><div class='tooltip-inner'></div></div>").hide().appendTo('body');
			  var previousPoint = null;
			
			  placeholder.on('plothover', function (event, pos, item) {
				if(item) {
					if (previousPoint != item.seriesIndex) {
						previousPoint = item.seriesIndex;
						var tip = item.series['label'] + " : " + item.series['percent']+'%';
						$tooltip.show().children(0).text(tip);
					}
					$tooltip.css({top:pos.pageY + 10, left:pos.pageX + 10});
				} else {
					$tooltip.hide();
					previousPoint = null;
				}
				
			 });
			
				/////////////////////////////////////
				$(document).one('ajaxloadstart.page', function(e) {
					$tooltip.remove();
				});
			
			
			
			
				var d1 = [];
				for (var i = 0; i < Math.PI * 2; i += 0.5) {
					d1.push([i, Math.sin(i)]);
				}
			
				var d2 = [];
				for (var i = 0; i < Math.PI * 2; i += 0.5) {
					d2.push([i, Math.cos(i)]);
				}
			
				var d3 = [];
				for (var i = 0; i < Math.PI * 2; i += 0.2) {
					d3.push([i, Math.tan(i)]);
				}
				
			
				var sales_charts = $('#sales-charts').css({'width':'100%' , 'height':'220px'});
				$.plot("#sales-charts", [
					{ label: "Domains", data: d1 },
					{ label: "Hosting", data: d2 },
					{ label: "Services", data: d3 }
				], {
					hoverable: true,
					shadowSize: 0,
					series: {
						lines: { show: true },
						points: { show: true }
					},
					xaxis: {
						tickLength: 0
					},
					yaxis: {
						ticks: 10,
						min: -2,
						max: 2,
						tickDecimals: 3
					},
					grid: {
						backgroundColor: { colors: [ "#fff", "#fff" ] },
						borderWidth: 1,
						borderColor:'#555'
					}
				});
			
			
				$('#recent-box [data-rel="tooltip"]').tooltip({placement: tooltip_placement});
				function tooltip_placement(context, source) {
					var $source = $(source);
					var $parent = $source.closest('.tab-content')
					var off1 = $parent.offset();
					var w1 = $parent.width();
			
					var off2 = $source.offset();
					//var w2 = $source.width();
			
					if( parseInt(off2.left) < parseInt(off1.left) + parseInt(w1 / 2) ) return 'right';
					return 'left';
				}
			
			
				$('.dialogs,.comments').ace_scroll({
					size: 300
			    });
				
				
				//Android's default browser somehow is confused when tapping on label which will lead to dragging the task
				//so disable dragging when clicking on label
				var agent = navigator.userAgent.toLowerCase();
				if("ontouchstart" in document && /applewebkit/.test(agent) && /android/.test(agent))
				  $('#tasks').on('touchstart', function(e){
					var li = $(e.target).closest('#tasks li');
					if(li.length == 0)return;
					var label = li.find('label.inline').get(0);
					if(label == e.target || $.contains(label, e.target)) e.stopImmediatePropagation() ;
				});
			
				$('#tasks').sortable({
					opacity:0.8,
					revert:true,
					forceHelperSize:true,
					placeholder: 'draggable-placeholder',
					forcePlaceholderSize:true,
					tolerance:'pointer',
					stop: function( event, ui ) {
						//just for Chrome!!!! so that dropdowns on items don't appear below other items after being moved
						$(ui.item).css('z-index', 'auto');
					}
					}
				);
				$('#tasks').disableSelection();
				$('#tasks input:checkbox').removeAttr('checked').on('click', function(){
					if(this.checked) $(this).closest('li').addClass('selected');
					else $(this).closest('li').removeClass('selected');
				});
			
			
				//show the dropdowns on top or bottom depending on window height and menu position
				$('#task-tab .dropdown-hover').on('mouseenter', function(e) {
					var offset = $(this).offset();
			
					var $w = $(window)
					if (offset.top > $w.scrollTop() + $w.innerHeight() - 100) 
						$(this).addClass('dropup');
					else $(this).removeClass('dropup');
				});
			
                        
                        
			});
                        
                    //::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
                    
                        $(document).ready( function() {
                            jQuery("#registroEncuesta").validationEngine();
                        });
                        
                        function conMayuscula(field){
                            field.value = field.value.toUpperCase();
                        }
                        
                        function cargando(){
                            $( "#dialog-cargando" ).removeClass('hide').dialog({
                                resizable: false,
                                modal: true,
                                title: "<div class='widget-header' ><h4 class='smaller'><i class='fa fa-spinner'></i> Cargando...</h4></div>",
                                title_html: true
                            });
                        }
                        
                        function close_carga(){
                            $( "#dialog-cargando" ).dialog( "close" );
                        }
                        
                        function segundaCarga(){
                            listarDocentes();
                        }
                        
                        function listarDocentes(){                             
                            var cod_per="<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
                            $.ajax({
                                type:'POST',
                                url:'../ServletDocente?Accion=listarDocentesTotales',
                                data: 'cod_per='+cod_per,
                                beforeSend: function() {
                                    cargando();
                                },success:function(resultado){
                                    close_carga();
                                    $('#divListado').html(resultado);
                                },complete:function(){ 
                                    $('[data-rel=tooltip]').tooltip();
                                }
                            });
                        }
                        
//                      //cambiar para poder registrar 
                        function change(posicion){
                            var cantidad = $("#cantidad").val();
                            $("#edit_"+posicion+"").addClass('hide');
                            $("#cerrar_"+posicion+"").removeClass('hide');
                            var cont = 0;
                            if(posicion == '1'){//ASISTENCIA
                                for(var i=0; i<=cantidad; i++){                                    
                                    $("#divBotones1"+i+"").removeClass('hide');
                                    $("#boton").removeClass('hide');
                                    
                                }
                            }else if(posicion == '2'){//EXAMEN
                                for(var i=0; i<=cantidad; i++){
                                    $("#boton").removeClass('hide');
                                    
                                    $("#divBotones2"+i+"").removeClass('hide');
                                }
                            }else {
                                for(var i=0; i<=cantidad; i++){//MATERIALES
                                    $("#boton").removeClass('hide');
                                    $("#divBotones3"+i+"").removeClass('hide');
                                }
                            }
                        }
                        
                        //Si existen datos cambiar al boton "resetear"
                        function changeLleno(posicion){
                            var cantidad = $("#cantidad").val();
                            $("#edit_"+posicion+"").addClass('hide');
                            $("#cerrar_"+posicion+"").removeClass('hide');
                            var cont = 0;
                            if(posicion == '1'){//ASISTENCIA
                                for(var i=0; i<=cantidad; i++){                                       
                                    $("#spanBoton1"+i+"").removeClass('hide'); 
                                    $("#boton").removeClass('hide');
                                    
                                }
                            }else if(posicion == '2'){//EXAMEN
                                for(var i=0; i<=cantidad; i++){
                                    $("#boton").removeClass('hide');                                     
                                    $("#spanBoton2"+i+"").removeClass('hide');
                                }
                            }else {
                                for(var i=0; i<=cantidad; i++){//MATERIALES
                                    $("#boton").removeClass('hide');
                                    
                                    $("#spanBoton3"+i+"").removeClass('hide');
                                }
                            }
                        }
                        
                        //si se resetea, se muestran todos los botones
                        function cambiarBoton(posicion, fila){
                            $("#datoSelec_"+fila+"").val("1");
                            if(posicion=='1'){
                                $("#divBotones1"+fila+"").removeClass('hide');
                                $("#return1_"+fila+"").removeClass('hide');
                                $("#spanBoton1"+fila+"").addClass('hide');
                                $("#asistencia1_"+fila+"").addClass('hide');
                                $("#ret1_"+fila+"").removeClass('hide');
                                $("#input1_"+fila+"").val('vacio');
                                
                            }else if(posicion == '2'){//EXAMEN
                                $("#divBotones2"+fila+"").removeClass('hide');
                                $("#spanBoton2"+fila+"").addClass('hide');
                                $("#return2_"+fila+"").removeClass('hide');
                                $("#ret2_"+fila+"").removeClass('hide');
                                $("#examen1_"+fila+"").addClass('hide');
                                $("#input2_"+fila+"").val('vacio');
                               
                            }else {
                                $("#divBotones3"+fila+"").removeClass('hide');
                                $("#spanBoton3"+fila+"").addClass('hide');
                                $("#return3_"+fila+"").removeClass('hide');
                                $("#ret3_"+fila+"").removeClass('hide');
                                $("#materiales1_"+fila+"").addClass('hide');
                                $("#input3_"+fila+"").val('vacio');
                            }
                        }
                        
                        
                        function regresar(posicion, fila,dato){
                            if(posicion=='1'){
                                $("#divBotones1"+fila+"").addClass('hide');
                                $("#spanBoton1"+fila+"").removeClass('hide');
                                $("#asistencia1_"+fila+"").removeClass('hide');
                                $("#span1_"+fila+"").addClass('hide');
                                $("#input"+posicion+"_"+fila+"").addClass('hide');
                                $("#input"+posicion+"_"+fila+"").val(dato);
                            }else if(posicion == '2'){//EXAMEN
                                $("#divBotones2"+fila+"").addClass('hide');
                                $("#spanBoton2"+fila+"").removeClass('hide');
                                $("#examen1_"+fila+"").removeClass('hide');
                                $("#span2_"+fila+"").addClass('hide');
                                $("#input"+posicion+"_"+fila+"").addClass('hide');
                                $("#input"+posicion+"_"+fila+"").val(dato);
                               
                            }else {
                                $("#divBotones3"+fila+"").addClass('hide');
                                $("#spanBoton3"+fila+"").removeClass('hide');
                                $("#materiales1_"+fila+"").removeClass('hide');
                                $("#span3_"+fila+"").addClass('hide');
                                $("#input"+posicion+"_"+fila+"").addClass('hide');
                                $("#input"+posicion+"_"+fila+"").val(dato);
                            }
                            
                        }
                        /*------------------------------*/
                        
                        //general
                        function retornar(posicion){
                            var cantidad = $("#cantidad").val();
                            $("#edit_"+posicion+"").removeClass('hide');
                            $("#cerrar_"+posicion+"").addClass('hide');
                            if(posicion == '1'){//ASISTENCIA
                                for(var i=0; i<=cantidad; i++){
                                    $("#divBotones1"+i+"").addClass('hide');
                                    $("#input"+posicion+"_"+i+"").addClass('hide');
                                    $("#asistencia1_"+i+"").removeClass('hide');
                                    $("#spanBoton1"+i+"").addClass('hide');
                                }
                            }else if(posicion == '2'){
                                for(var i=0; i<=cantidad; i++){
                                    $("#divBotones2"+i+"").addClass('hide');
                                    $("#letra_"+posicion+"_"+i+"").addClass('hide');
                                    $("#numero_"+posicion+"_"+i+"").addClass('hide');
                                    $("#input"+posicion+"_"+i+"").addClass('hide');
                                    $("#spanBoton2"+i+"").addClass('hide');
                                }
                            }else {
                                for(var i=0; i<=cantidad; i++){
                                    $("#divBotones3"+i+"").addClass('hide');
                                    $("#letra_"+posicion+"_"+i+"").addClass('hide');
                                    $("#numero_"+posicion+"_"+i+"").addClass('hide');
                                    $("#input"+posicion+"_"+i+"").addClass('hide');
                                    $("#spanBoton3"+i+"").addClass('hide');
                                }
                            }
                            
                            if($("#divBotones11").is(':hidden') && $("#divBotones21").is(':hidden') && $("#divBotones31").is(':hidden')){
                                $("#boton").addClass('hide');
                            }
                            
                        }
                        
                        function retornarLleno(posicion){
                            var cantidad = $("#cantidad").val();
                            $("#edit_"+posicion+"").removeClass('hide');
                            $("#cerrar_"+posicion+"").addClass('hide');
                            if(posicion == '1'){//ASISTENCIA
                                for(var i=0; i<=cantidad; i++){
                                    $("#spanBoton1"+i).addClass('hide');
                                    $("#divBotones1"+i).addClass('hide');
                                    $("#asistencia1_"+i+"").removeClass('hide');
                                    $("#span1_"+i+"").addClass('hide');
                                    $("#input1_"+i+"").addClass('hide');
                                }
                            }else if(posicion == '2'){
                                for(var i=0; i<=cantidad; i++){
                                    $("#spanBoton2"+i).addClass('hide');
                                    $("#divBotones2"+i).addClass('hide');
                                    $("#examen1_"+i+"").removeClass('hide');
                                    $("#span2_"+i+"").addClass('hide');
                                    $("#input2_"+i+"").addClass('hide');
                                }
                            }else {
                                for(var i=0; i<=cantidad; i++){
                                    $("#spanBoton3"+i).addClass('hide');
                                    $("#divBotones3"+i).addClass('hide');
                                    $("#materiales1_"+i+"").removeClass('hide');
                                    $("#span3_"+i+"").addClass('hide');
                                    $("#input3_"+i+"").addClass('hide');
                                }
                            }

                            
                            if(($("#asistencia1_1").is(':visible') && $("#examen1_1").is(':visible') && $("#materiales1_1").is(':visible')) &&  ($("#spanBoton11").is(':hidden')&& $("#spanBoton21").is(':hidden') && $("#spanBoton31").is(':hidden'))    ) {
                                $("#boton").addClass('hide');
                            }
                            
                        }
                        
                        function boton(posicion,fila,condicion){                            
                            if(condicion == '0'){
                                $("#span"+posicion+"_"+fila+"").html("");
                                $("#input"+posicion+"_"+fila+"").removeClass('hide');
                                $("#input"+posicion+"_"+fila+"").val('');
                                $("#input"+posicion+"_"+fila+"").attr("placeholder", "Ingrese puntaje");
                                $("#input"+posicion+"_"+fila+"").prop('disabled', false);
                                $("#demo"+posicion+"_"+fila+"").val();
                            }else if(condicion == '1'){
                                $("#span"+posicion+"_"+fila+"").removeClass('hide');
                                $("#span"+posicion+"_"+fila+"").html("<span class='label label-info arrowed-right arrowed-in'>ASESOR(A)</span>");
                                $("#input"+posicion+"_"+fila+"").addClass('hide');
                                $("#input"+posicion+"_"+fila+"").val('ASESOR(A)');
                                $("#demo"+posicion+"_"+fila+"").val('ASESOR(A)');
                            }else if(condicion == '2'){
                                $("#span"+posicion+"_"+fila+"").removeClass('hide');
                                $("#span"+posicion+"_"+fila+"").html("<span class='label label-info arrowed-right arrowed-in'>COORDINADOR(A)</span>");
                                $("#input"+posicion+"_"+fila+"").val('COORDINADOR(A)');
                                $("#input"+posicion+"_"+fila+"").addClass('hide');
                                $("#demo"+posicion+"_"+fila+"").val('COORDINADOR(A)');
                            }else if(condicion == '3'){
                                $("#span"+posicion+"_"+fila+"").html("");
                                $("#input"+posicion+"_"+fila+"").addClass('hide');
                                $("#input"+posicion+"_"+fila+"").val('');
                                $("#demo"+posicion+"_"+fila+"").val('');
                            }
                        }
                        
                        function validarIngreso(event, id,condicion){
                            $(id).mask('00.00', {reverse: true});
                            
                        }
                      
                        function validar(){
                            var estado = $("#listado").validationEngine('validate');
                            if(estado){
                                registrar();
                            }                        
                        }
                        
                        function registrar(){
                            var cadena = "";
                            var cantidad = $("#cantidad").val();
                            for(var i=1; i<=cantidad; i++){
                                var datos = $("#datos_"+i+"").val();
                                var input1 = $("#input1_"+i+"").val();
                                var input2 = $("#input2_"+i+"").val();
                                var input3 = $("#input3_"+i+"").val();
                                if(input1 == "" ){
                                    input1 = "vacio";
                                }
                                if(input2 == ""){
                                    input2 = "vacio";
                                }
                                if(input3 == ""){
                                    input3 = "vacio";
                                }
                                
                                if(cadena==""){
                                    cadena =  datos+"#"+input1+"#"+input2+"#"+input3;                                   
                                }else{
                                    cadena +="!"+datos+"#"+input1+"#"+input2+"#"+input3;
                                }
                            }
                            
                            if(cadena == ""){
                                advertencia1();
                            }else{
                                confirmarRegistro(cadena); 
                            }
                        }
                        
                        function advertencia1(){
                            $("#dialog-advertencia1" ).removeClass('hide').dialog({
                                resizable: false,
                                width:400,
                                modal: true,
                                title: "<div class='widget-color-orange' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-exclamation-triangle white'></i> <span class='white'>Advertencia</span></h4></div></div>",
                                title_html: true,
                                buttons: [
                                    {
                                        html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; ACEPTAR",
                                        "class" : "btn btn-warning btn-xs",
                                        click: function() {
                                            $( this ).dialog( "close" );
                                        }
                                    }
                                ]
                            });
                        }
                        
                        function confirmarRegistro(cadena){
                            $( "#dialog-confor1" ).removeClass('hide').dialog({
                            resizable: false,
                            modal: true,
                            title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Conformidad</span></h4></div></div>",
                            title_html: true,
                            buttons: [
                                {
                                    html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; SI",
                                    "class" : "btn btn-primary btn-xs",
                                    click: function() {
                                        registrarPuntajes(cadena);
                                        $( this ).dialog( "close" ); 
                                    }
                                },{
                                    html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; NO",
                                    "class" : "btn btn-danger btn-xs",
                                    click: function() {
                                        $( this ).dialog( "close" ); 
                                    }
                                }]
                            });
                        }
                            
                        function registrarPuntajes(cadena){
                            $.ajax({
                                type:'POST',
                                url:'../ServletDocente?Accion=registrarFichaEvaluacion',
                                data: 'cadena='+cadena,
                                beforeSend: function() {
                                    cargando();
                                },success:function(resultado){
                                    close_carga();
                                },complete:function(){ 
                                    registrOk();
                                }
                            });
                        }
                            
                        function registrOk(){
                            $( "#dialog-noti1" ).removeClass('hide').dialog({
                            resizable: false,
                            modal: true,
                            title: "<div class='widget-color-green' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-tags white'></i> <span class='white'>Notificación</span></h4></div></div>",
                            title_html: true,
                            buttons: [{
                                    html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; ACEPTAR",
                                    "class" : "btn btn-success btn-xs",
                                    click: function() {
                                        listarDocentes();
                                        $( this ).dialog( "close" );
                                    }
                                }]
                            });
                        }

                        function validarEdicion(){
                            var estado = $("#listado").validationEngine('validate');
                            if(estado){
                                editar();
                            } 
                        }
                        
                        function editar(){
                            var cadena = "";
                            var fila = "";
                            var cantidad = $("#cantidad").val();
                            
                            for(var i=1; i<=cantidad; i++){
                                var activos = $("#datoSelec_"+i+"").val();                                
                                if(activos == '1'){
                                    var datos = $("#datos_"+i+"").val();
                                    var input1 = $("#input1_"+i+"").val();
                                    var demo1 = $("#demo1_"+i+"").val(input1);
                                    var input2 = $("#input2_"+i+"").val();
                                    var demo2 = $("#demo2_"+i+"").val(input2);
                                    var input3 = $("#input3_"+i+"").val();
                                    var demo3 = $("#demo3_"+i+"").val(input3);
                                    if(input1 == "" ){
                                        input1 = "vacio";
                                    }
                                    if(input2 == ""){
                                        input2 = "vacio";
                                    }
                                    if(input3 == ""){
                                        input3 = "vacio";
                                    }
                                    
                                    if(cadena==""){
                                        fila = i;
                                        cadena =  datos+"#"+input1+"#"+input2+"#"+input3;                                   
                                    }else{
                                        fila +="!"+i; 
                                        cadena +="!"+datos+"#"+input1+"#"+input2+"#"+input3;
                                    }
                                }
                            } 
                            if(cadena == ""){
                                advertencia1();
                            }else{
                                confirmarEdicion(fila,cadena); 
                            }
                        }
                        
                        function confirmarEdicion(fila,cadena){
                             $( "#dialog-confor2" ).removeClass('hide').dialog({
                                resizable: false,
                                modal: true,
                                title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Conformidad</span></h4></div></div>",
                                title_html: true,
                                buttons: [
                                    {
                                        html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; SI",
                                        "class" : "btn btn-primary btn-xs",
                                        click: function() {
                                            editarPuntajes(fila,cadena);
                                            $( this ).dialog( "close" ); 
                                        }
                                    },{
                                        html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; NO",
                                        "class" : "btn btn-danger btn-xs",
                                        click: function() {
                                            $( this ).dialog( "close" ); 
                                        }
                                    }]
                                });
                        }
                        
                        function editarPuntajes(fila,cadena){
                            $.ajax({
                                type:'POST',
                                url:'../ServletDocente?Accion=editarFichaEvaluacion',
                                data: 'cadena='+cadena,
                                beforeSend: function() {
                                    cargando();
                                },success:function(resultado){
                                    close_carga();
                                },complete:function(){ 
                                    editarOk(fila,cadena);
                                }
                            });
                        }
                        
                        function editarOk(fila,cadena){
                            $( "#dialog-noti2" ).removeClass('hide').dialog({
                                resizable: false,
                                modal: true,
                                title: "<div class='widget-color-green' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-tags white'></i> <span class='white'>Notificación</span></h4></div></div>",
                                title_html: true,
                                buttons: [{
                                    html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; ACEPTAR",
                                    "class" : "btn btn-success btn-xs",
                                    click: function() {
                                        refrescarTabla(fila,cadena);
                                        $( this ).dialog( "close" );
                                    }
                                }]
                            });
                        }
                        
                        function refrescarTabla(fila,cadena){   
                            var filas = ""+fila+"";
                            var arrayPos = filas.split("!");
                            var cantidad = $("#cantidad").val();
                            $("#edit_1").removeClass('hide');
                            $("#edit_2").removeClass('hide');
                            $("#edit_3").removeClass('hide');
                            $("#cerrar_1").addClass('hide');
                            $("#cerrar_2").addClass('hide');
                            $("#cerrar_3").addClass('hide');
                            for(var f=0; f<arrayPos.length;f++){
                                var activos = $("#datoSelec_"+arrayPos[f]+"").val('0');

                                $("#asistencia1_"+arrayPos[f]+"").removeClass(); 
                                var valorEncuesta = $("#encuesta_"+arrayPos[f]+"").val(); 
                                $("#examen1_"+arrayPos[f]+"").removeClass();      
                                $("#materiales1_"+arrayPos[f]+"").removeClass();      
                                
                                var valorAsistencia = $("#demo1_"+arrayPos[f]+"").val();
                                if(valorAsistencia == 'ASESOR(A)'){
                                    $("#asistencia1_"+arrayPos[f]+"").addClass('blue');
                                }else if(valorAsistencia == 'COORDINADOR(A)'){
                                    $("#asistencia1_"+arrayPos[f]+"").addClass('green');
                                }else if(valorAsistencia == 'vacio'){
                                    
                                    $("#asistencia1_"+arrayPos[f]+"").text("-");
                                }else{
                                    if(valorAsistencia>8.49 && valorAsistencia<=10){
                                        $("#asistencia1_"+arrayPos[f]+"").addClass('label label-success  arrowed-in arrowed-right');
                                    }else if(valorAsistencia<8.5){
                                        $("#asistencia1_"+arrayPos[f]+"").addClass('label label-danger  arrowed-in arrowed-right');
                                    }
                                    $("#asistencia1_"+arrayPos[f]+"").text(valorAsistencia);
                                }
                                $("#asistencia1_"+arrayPos[f]+"").text(valorAsistencia);
                                
                                //-------------------------------------------------------
                                var valorExamen = $("#demo2_"+arrayPos[f]+"").val();
                                if(valorExamen == 'ASESOR(A)'){
                                    $("#examen1_"+arrayPos[f]+"").addClass('blue');
                                }else if(valorExamen == 'COORDINADOR(A)'){
                                    $("#examen1_"+arrayPos[f]+"").addClass('green');
                                    
                                }else if(valorExamen == 'vacio'){                                    
                                    $("#examen1_"+arrayPos[f]+"").text("-");
                                }else{
                                    if(valorExamen>8.49 && valorExamen<=10){
                                        $("#examen1_"+arrayPos[f]+"").addClass('label label-success  arrowed-in arrowed-right');
                                    }else if(valorExamen<8.5){
                                        $("#examen1_"+arrayPos[f]+"").addClass('label label-danger  arrowed-in arrowed-right');
                                    }
                                    $("#examen1_"+arrayPos[f]+"").text(valorExamen);
                                }
                                $("#examen1_"+arrayPos[f]+"").text(valorExamen);
                                
                                //--------------------------------------------------------
                                var valorMateriales = $("#demo3_"+arrayPos[f]+"").val();
                                if(valorMateriales == 'ASESOR(A)'){
                                    $("#materiales1_"+arrayPos[f]+"").addClass('blue');
                                }else if(valorMateriales == 'COORDINADOR(A)'){
                                    $("#materiales1_"+arrayPos[f]+"").addClass('green');
                                    
                                }else if(valorMateriales == 'vacio'){                                    
                                    $("#materiales1_"+arrayPos[f]+"").text("-");
                                }else{
                                    if(valorMateriales>8.49 && valorMateriales<=10){
                                        $("#materiales1_"+arrayPos[f]+"").addClass('label label-success  arrowed-in arrowed-right');
                                    }else if(valorMateriales<8.5){
                                        $("#materiales1_"+arrayPos[f]+"").addClass('label label-danger  arrowed-in arrowed-right');
                                    }
                                    $("#materiales1_"+arrayPos[f]+"").text(valorMateriales);
                                }
                                $("#materiales1_"+arrayPos[f]+"").text(valorMateriales);
                                
                                
                                //----------promedio--------------
                                var suma = 0;
                                var promedio = 0;
                                var contador = 0;
                                if(valorEncuesta == "Sin puntaje"){

                                }else{
                                    suma = parseFloat(valorEncuesta);
                                    contador++;
                                }
                                
                                if(valorAsistencia == "vacio" || valorAsistencia == "ASESOR(A)" || valorAsistencia == "COORDINADOR(A)" || valorAsistencia == "-"){

                                }else{
                                    suma += parseFloat(valorAsistencia) ;
                                    contador++;
                                }
                                
                                if(valorExamen == "vacio" || valorExamen == "ASESOR(A)" || valorExamen == "COORDINADOR(A)" || valorExamen == "-"){

                                }else{
                                    suma += parseFloat(valorExamen) ;
                                    contador++;
                                }
                                
                                if(valorMateriales == "vacio" || valorMateriales == "ASESOR(A)" || valorMateriales == "COORDINADOR(A)" || valorMateriales == "-"){

                                }else{
                                    suma += parseFloat(valorMateriales) ;
                                    contador++;
                                }
                                $("#prom_"+arrayPos[f]+"").removeClass();
                                if(contador != 0){
                                    promedio = suma/contador;
                                    var prom = promedio.toFixed(2);
                                    if(prom>8.49 && prom<=10){
                                        //span = "label label-success  arrowed-in arrowed-right";
                                        $("#prom_"+arrayPos[f]+"").addClass('');
                                    }else if(prom<8.5){
                                        $("#prom_"+arrayPos[f]+"").addClass('red');
                                    }
                                    $("#promedio_"+arrayPos[f]+"").val(prom);
                                    $("#prom_"+arrayPos[f]+"").html(prom.bold());
                                }else{
                                    promedio = "-";
                                    $("#prom_"+arrayPos[f]+"").text(promedio);
                                }
                                
                            } 
                            
                            for(var t = 1; t<cantidad;t++){
                                $("#spanBoton1"+t).addClass('hide');
                                $("#divBotones1"+t).addClass('hide');
                                $("#span1_"+t+"").addClass('hide');
                                $("#input1_"+t+"").addClass('hide');
                                $("#spanBoton2"+t).addClass('hide');
                                $("#divBotones2"+t).addClass('hide');
                                $("#span2_"+t+"").addClass('hide');
                                $("#input2_"+t+"").addClass('hide'); 
                                $("#spanBoton3"+t).addClass('hide');
                                $("#divBotones3"+t).addClass('hide');
                                $("#span3_"+t+"").addClass('hide');
                                $("#input3_"+t+"").addClass('hide'); 
//                                $("#prom_"+t+"").addClass('hide'); 
                            }
                        }
                        // -----------------------------------------------------------------
                        
                        function doSearch(){
                                var tableReg = document.getElementById('datos');
                                var searchText = document.getElementById('searchTerm').value.toLowerCase();
                                var cellsOfRow="";
                                var found=false;
                                var compareWith="";

                                // Recorremos todas las filas con contenido de la tabla
                                for (var i = 1; i < tableReg.rows.length; i++){
                                        cellsOfRow = tableReg.rows[i].getElementsByTagName('td');
                                        
                                        found = false;
                                        // Recorremos todas las celdas
                                        for (var j = 0; j < cellsOfRow.length && !found; j++){
                                                compareWith = cellsOfRow[j].innerHTML.toLowerCase();
                                                // Buscamos el texto en el contenido de la celda
                                                if (searchText.length == 0 || (compareWith.indexOf(searchText) > -1))
                                                {
                                                        found = true;
                                                }
                                        }
                                        if(found){
                                                tableReg.rows[i].style.display = '';
                                        } else {
                                                // si no ha encontrado ninguna coincidencia, esconde la
                                                // fila de la tabla
                                                tableReg.rows[i].style.display = 'none';   
                                        }
                                }
                                
                        }
                        
                        function conMayusculas(field) {
                            field.value = field.value.toUpperCase();
                        }
                        
                        $('input').keypress(function(e){
                            if(e.which == 13){
                                return false;
                            }
                        });
                        
                        
		</script>

		<!-- the following scripts are used in demo only for onpage help and you don't need them -->
               
		<link rel="stylesheet" href="../assets/css/ace.onpage-help.css" />
		<link rel="stylesheet" href="../docs/assets/js/themes/sunburst.css" />
                
		<script type="text/javascript"> ace.vars['base'] = '..'; </script>
		<script src="../assets/js/ace/elements.onpage-help.js"></script>
		<script src="../assets/js/ace/ace.onpage-help.js"></script>
		<script src="../docs/assets/js/rainbow.js"></script>
		<script src="../docs/assets/js/language/generic.js"></script>
		<script src="../docs/assets/js/language/html.js"></script>
		<script src="../docs/assets/js/language/css.js"></script>
		<script src="../docs/assets/js/language/javascript.js"></script>
                
                
                
                <script src="js/languages/jquery.validationEngine-es.js" type="text/javascript" charset="utf-8"></script>
                <script src="js/jquery.validationEngine.js" type="text/javascript" charset="utf-8"></script>

</html>
